import { Module } from '@nestjs/common';
import { OAuth2ClientModule } from 'src/modules/objects/oauth2-client/oauth2-client.module';
import { OAuth2TokenModule } from 'src/modules/objects/oauth2-token/oauth2-token.module';
import { UploadModule } from 'src/modules/objects/upload/upload.module';
import { UserModule } from 'src/modules/objects/user/user.module';
import { OAuth2Service } from './oauth2.service';

@Module({
  imports: [UserModule, UploadModule, OAuth2ClientModule, OAuth2TokenModule],
  providers: [OAuth2Service],
  exports: [OAuth2Service],
})
export class OAuth2Module {}
